## org.hibernate.id.enhanced
Interface OptimizerFactory.InitialValueAwareOptimizer

All Known Implementing Classes:
  OptimizerFactory.PooledOptimizer

Enclosing class:
  OptimizerFactory

    public static interface OptimizerFactory.InitialValueAwareOptimizer

Marker interface for optimizer which wish to know the user-specified initial value.

Used instead of constructor injection since that is already a public understanding and because not all optimizers care.

Method Summary
`void` `injectInitialValue(long initialValue)` Reports the user specified initial value to the optimizer.

Method Detail

### injectInitialValue

    void injectInitialValue(long initialValue)

  Reports the user specified initial value to the optimizer.

  `-1` is used to indicate that the user did not specify.

  Parameters:
    `initialValue` - The initial value specified by the user, or `-1` to indicate that the user did not specify.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.